Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_find_statements_in_context

## Name

librdf_model_find_statements_in_context -- search the model for matching statements in a given context

## Synopsis

``librdf_stream* `librdf_model_find_statements_in_context`` (librdf_model* `model`, librdf_statement* `statement`, librdf_node* `context_node`);`

## Arguments

`model`

  librdf_model object

`statement`

  librdf_statement partial statement to find

`context_node`

  context librdf_node (or NULL)

## Description

Searches the model for a (partial) statement as described in `librdf_statement_match` in the given context and returns a librdf_stream of matching librdf_statement objects. If context is NULL, this is equivalent to librdf_model_find_statements.

## Return value

librdf_stream of matching statements (may be empty) or NULL on failure

<<< Previous | Home | Next >>>
librdf_model_get_storage | Up | librdf_model_get_contexts